%define name		fossamail
%define oname 		FossaMail
%define version		25.2.1
%define release		%mkrel 1

Name:			%{name}
Version:			%{version}
Release:		%{release}
Summary:		Open Source, Mozilla Thunderbird-based mail, news and chat client
Summary(de):	Mail-, News und Chatclient, auf Thunderbird basierend
URL:			http://www.fossamail.org
Group:			Networking/WWW
License:		MPLv2.0
Source:			%{oname}-%{version}.en-US.linux-x86_64.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
AutoReqProv: no

%description
FossaMail is an Open Source, Mozilla Thunderbird-based mail, news and chat client
for Windows and Linux, brought to you by the Pale Moon developers (and therefore
not affiliated with the Mozilla Corporation). It is an alternative version of the
Mozilla Thunderbird mail&news client, and based on the Pale Moon browser core.

%description -l de
FossaMail verfolgt den gleichen Ansatz wie der Firefox-Ableger Pale Moon und
basiert seit der Version 25 auch komplett auf Pale Moon. Dabei verspricht FossaMail
Optimierungen, die für bessere Stabilität und Geschwindigkeit sorgen sollen.

Thunderbird-Umsteiger profitieren dadurch gleich in doppelter Hinsicht:
Dank ähnlichem Design und Aufbau entfällt eine lange Umgewöhnung und auch alle
Add-ons laufen wie gewohnt - die bessere Performance gibt's kostenlos dazu. 

%prep
%setup -qn %oname

%build
#nobuild

%install
%__rm -rf %buildroot


mkdir -p %buildroot/%{_libdir}/%oname
cp -fr ${RPM_BUILD_DIR}/%oname/*  %buildroot/%{_libdir}/%oname/

mkdir -p %buildroot%_datadir/pixmaps
cp -fr %buildroot/%{_libdir}/%oname/chrome/icons/default/default48.png %buildroot/%_datadir/pixmaps/FossaMail.png

mkdir -p %buildroot%_iconsdir/large
cp -fr %buildroot/%{_libdir}/%oname/chrome/icons/default/default48.png %buildroot/%_iconsdir/large/FossaMail.png

mkdir -p %buildroot%_iconsdir/mini
cp -fr %buildroot/%{_libdir}/%oname/chrome/icons/default/default16.png %buildroot/%_iconsdir/mini/FossaMail.png

cp -fr %buildroot/%{_libdir}/%oname/chrome/icons/default/default48.png %buildroot/%_iconsdir/FossaMail.png

# menu
mkdir -p %buildroot/%_datadir/applications
cat > %buildroot/%_datadir/applications/FossaMail.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=FossaMail
Comment=FossaMail News Chat
Exec=%_bindir/FossaMail %u
Icon=FossaMail
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
StartupWMClass=FossaMail-bin
EOF

# launcher
mkdir -p %buildroot/%_bindir
cat > %buildroot/%_bindir/%oname << EOF
#!/bin/sh
export LD_PRELOAD='libstdc++.so.6'
cd %{_libdir}/FossaMail
./FossaMail

EOF
chmod a+x %buildroot/%_bindir/%oname


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%_bindir/FossaMail
%dir %{_libdir}/%oname
%{_libdir}/%oname
%_datadir/applications/FossaMail.desktop
%_datadir/pixmaps/FossaMail.png
%_iconsdir/large/FossaMail.png
%_iconsdir/mini/FossaMail.png
%_iconsdir/FossaMail.png

%changelog
* Wed Apr 20 2016 bb <bb> 25.2.1-1pclos2016
- update

* Sun Jun 28 2015 asaf <asaf at gmx dot net> 25.1.5
- initial release

